import time

import requests
import json

from common import Feishu
from common.sql_help import sqlCollect


class CLJX:

    @classmethod
    def get_ks_account_id(cls, user_id):
        url = "http://8.217.190.241:8888/crawler/kuai_shou/account_info"
        payload = json.dumps({
            "account_id": user_id,

        })
        headers = {
            'Content-Type': 'application/json'
        }
        response = requests.request("POST", url, headers=headers, data=payload)
        time.sleep(1)
        response = response.json()
        code = response['code']
        if code == 0:
            data = response['data']['data']
            if '3x' in user_id:
                channel_account_id = data['digit_id']
            else:
                channel_account_id = data['channel_account_id']

            return channel_account_id
        else:
            Feishu.finish_bot("kuai_shou/account_info接口"+response["msg"],
                              "https://open.feishu.cn/open-apis/bot/v2/hook/575ca6a1-84b4-4a2f-983b-1d178e7b16eb",
                              "【快手 Token 使用提示 】")
            return None

    @classmethod
    def get_nrxs(cls):
        user = sqlCollect.get_machine_making_reflux("快手")
        if user == None:
            return
        user = [item[0] for item in user]
        for id in user:
            ks_id = cls.get_ks_account_id(id)
            url = "https://k.kuaishou.com/rest/web/similar/simStar/list"

            payload = json.dumps({
                "next": 0,
                "similarType": 1,
                "size": 10,
                "starUserId": ks_id
            })
            headers = {
                'Accept': 'application/json',
                'Accept-Language': 'zh-CN,zh;q=0.9',
                'Content-Type': 'application/json',
                'Cookie': 'did=web_9c6a04a4004fdb7c95a658a56ed275b6; apdid=328ac94f-4040-41fe-a038-b60140291aca99fb22e9862c74736f53d57b666ee53b:1719580529:1; language=zh-CN; ud=2205012540; app_id=ks686235996059836592; expire_time=1800; userId=2574854626; didv=1723085291918; access_token=ChFvYXV0aC5hY2Nlc3NUb2tlbhIwDJriiBd_Rfw8eDYAcNrxMNVh31u9tSJA9CAjt2O16wxi9gaDtJGN2IvVJqfPwZSwGhITB63P569DkqhlagGy21IJcH4iIHbikbQYx3YJ52cgLTbYnP5Huwfrx7NEoKGZIe1AAyeIKAUwAQ; nc_user_id=CiVhZC5ub3RpZnkuY2VudGVyLm9hdXRoLnVzZXIuaWQuc2VjcmV0EiC/P102mzVQGt2+DLIVD/C0wyWnJS85OkfLevE+gvyLiRoSh6GwxLxhJBzTF971M5HbMVVPIiDgi55t2xTmfnFXnyeAyDLyzno6k2e/bw7J4u1/qifbhSgFMAE=; kuaishou.ad.social_st=ChVrdWFpc2hvdS5hZC5zb2NpYWwuc3QSoAEqrrb6oCuZkjOnvnZeoEnQ564Rqph6-AqPSgVWYrifAPjBt2YgfXHw_98ldMOg8cUR8QiOIFztsdcRTBYDvs_ckIgjC5UiJTT55LXHG8ANCYQI4NZunxSDkRjtJAxK0R-21t3-rClsYus5eFEwaBnhuD0cG_Ze5a1ZWgkliCTZRHodiOTLWKP8exhEEg6lQnWPJe3YwCi91Setn1Vj6UKjGhLsLDZ7p_FIhoJA3z3VbOn1dpkiIIaFUhkgfk2L9XCNiZIVUGL6Bs0hCk9Kqgm6HdnYn7FBKAUwAQ; kuaishou.ad.social_ph=35a38517bc185742d657a2ac0ba1e8f4a088; did=web_9c6a04a4004fdb7c95a658a56ed275b6; didv=1711522726000',
                'Origin': 'https://k.kuaishou.com',
                'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/127.0.0.0 Safari/537.36',
                'sec-ch-ua-platform': '"macOS"'
            }

            response = requests.request("POST", url, headers=headers, data=payload)
            time.sleep(1)
            response = response.json()
            result = response['result']
            if result == 1:
                data = response["data"]
                star_vo_list = data['starVoList']
                for star in star_vo_list:
                    user_id = star['userId']
                    name = star['name']
                    account_id = cls.get_ks_account_id(str(user_id))
                    if account_id:
                        print(account_id)
                        values = [
                            [
                                id,
                                name,
                                account_id
                            ]
                        ]
                        Feishu.insert_columns("AIW2sNNjdhCgT3tug7sco7FGnse", '727a17', "ROWS", 1, 2)
                        time.sleep(0.5)
                        Feishu.update_values("AIW2sNNjdhCgT3tug7sco7FGnse", '727a17', "A2:Z2", values)
            else:
                print("提示")
                Feishu.finish_bot("Token 过期，请及时更换",
                                  "https://open.feishu.cn/open-apis/bot/v2/hook/575ca6a1-84b4-4a2f-983b-1d178e7b16eb",
                                  "【磁力聚星提示】")

if __name__ == '__main__':
    CLJX.get_nrxs()